@import "variables";
.about-box {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: calc(10.3vw - 3.7vw);
    padding: 0px 10%;
    margin-bottom: 11.8vw;
    .image-box {
        position: relative;
        border: 6px solid #8f762d;
        width: 30.5vw;
        height: 33.7vw;
        margin-top: -1.6vw;
        img {
            position: absolute;
            top: -2.1vw;
            left: 3.7vw;
            @extend %full-img-cover;
        }
    }
    .detail-box {
        align-self: center;
        .title-box {
            padding: 20px 10%;
            margin-bottom: 20px;
            position: relative;
            .line1 {
                position: absolute;
                bottom: 0;
                left: 0;
            }
            .bg1 {
                top: -70px;
                left: 0;
                letter-spacing: 15px;
                font-size: 5.8vw;
                margin: 0;
                @extend %shadow-title;
            }
        }
        .detail-section {
            padding: 0 10% 20px;
            .sub-title {
                font-size: 1.1vw;
                margin:0 0 2.1vw 0;
                color: #424242;
                font-weight: bold;
                letter-spacing: 1px;
            }
            .desc {
                color: #767676;
                margin:0 0 2.9vw 0;
                @extend %desc;
            }
            button {
                @extend %button-outline;
            }
            button:hover {
                @extend %button-solid-blue;
            }
        }
    }
}
.offer-box {
    padding: 5.2vw 5%;
    display: grid;
    background-color: #f7f7f7;
    grid-column-gap: calc(10.3vw - 3.7vw);
    grid-row-gap: 6vw;
    grid-template-areas:
        "title img"
        "card card";

    .title-box {
        grid-area: title;
        padding:0 0 16px 8.7vw;
        position: relative;
        .bg1 {
            top: -5vw;
            left: 8.6vw;
            letter-spacing: 15px;
            font-size: 5.8vw;
            margin: 0;
            line-height: 5.1vw;
            @extend %shadow-title;
        }
        .line1 {
            position: absolute;
            bottom: 0;
            left: 5vw;
        }
    }
    .image-box {
        padding-right: 5vw;
        position: relative;
        grid-area: img;
        .landscape {
            position: absolute;
            right: 5vw;
            top: calc((19.6vw / 2) * -1 - 5.2vw);
            height: 19.6vw;
            width: 35.2vw;
            object-fit: cover;
            max-width: unset;
            z-index: 2;
        }
        .line2 {
            position: absolute;
            top: -24vw;
            right: 10vw;
            z-index: 1;
            width: 10vw;
            height: 10vw;
            border-top: 1.5px solid #8f762d;
            border-right: 1.5px solid #8f762d;
        }
        .line3 {
            position: absolute;
            right: 3.5vw;
            bottom: -2vw;
            width: 11vw;
            height: 8.5vw;
            border: 5px solid #8f762d;
        }
    }
    .card-wrapper {
        grid-area: card;
        .arrow {
            cursor: pointer;
        }
        .card-box {
            overflow: hidden;
            margin: 0 3.2vw;
            width: 100%;
            .card-slider {
                display: grid;
                grid-template-columns: repeat(6, 30%);
                grid-column-gap: 4.5vw;
            }
            .card-section {
                @extend %fitur-card-section;
            }
        }
    }
}
.machinery-box {
    padding-top: 10vw;
    margin-bottom: 9.4vw;
    .top-box {
        padding: 16px 10%;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 4vw;
        .detail-box {
            padding-left: 3.7vw;
            .title-box {
                position: relative;
                padding-bottom: 16px;
                margin-bottom: 20px;
                .bg1 {
                    top: -4.8vw;
                    left: 0;
                    letter-spacing: 26px;
                    font-size: 5.8vw;
                    margin: 0;
                    line-height: 5.1vw;
                    @extend %shadow-title;
                }
                .line1 {
                    position: absolute;
                    bottom: 0;
                    left: -3.7vw;
                }
            }
            .desc {
                color: #767676;
                margin:0 0 2.9vw 0;
                @extend %desc;
            }
        }
    }
    .bottom-box {
        padding-left: 10%;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 4vw;
        .image-box {
            border: 6px solid #8f762d;
            position: relative;
            margin-top: -6vw;
            height: 22vw;
            img {
                position: absolute;
                top: -3vw;
                right: -3vw;
                @extend %full-img-cover;
            }
        }
        .slider-box {
            display: grid;
            grid-template-columns: 1fr;
            padding-top: 0.7vw;
            overflow: hidden;
            .img-box {
                display: grid;
                height: 13vw;
                grid-template-columns: repeat(6, 32%);
                grid-column-gap: 1vw;
                img {
                    @extend %full-img-cover;
                }
            }
            .arrow-box {
                padding-left: 5vw;
                img {
                    margin-right: 2vw;
                }
            }
        }
    }
}
.client-box {
    display: grid;
    grid-template-columns: 1fr;
    .title-box {
        padding: 16px 13.7vw;
        margin-bottom: 16px;
        position: relative;
        .line1 {
            position: absolute;
            bottom: 0;
            left: 10vw;
        }
        .bg1 {
            top: -2vw;
            right: 5vw;
            letter-spacing: 15px;
            font-size: 5.8vw;
            margin: 0;
            @extend %shadow-title;
        }
    }
    .detail-box {
        padding: 5vw 10%;
        display: grid;
        grid-template-columns: 6fr 5fr;
        background-color: #00264b;
        align-items: center;
        justify-items: center;
        grid-column-gap: 2vw;
        position: relative;
        .bg {
            @extend %bg-opacity-image;
        }
        p {
            color: #dbdbdb;
            @extend %desc;
        }
        .logo-box {
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            grid-column-gap: 2vw;
            align-items: center;
            justify-items: center;
            img {
                transform: scale(0.8);
            }
        }
    }
}
.contact-box {
    position: relative;
    padding: 7.6vw 10%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 2vw;
    grid-template-areas:
        "image title"
        "image form"
        "detail form";
    background-color: #dedede;
    .bg {
        @extend %bg-opacity-image;
    }
    .image-box {
        grid-area: image;
        align-self: center;
        border: 5px solid #8f762d;
        width: 32.2vw;
        height: 22.9vw;
        position: relative;
        margin-bottom: 5.6vw;
        img {
            position: absolute;
            top: 1.5vw;
            left: 1.6vw;
            @extend %full-img-cover;
            z-index: 1;
        }
        .bg1 {
            top: -3.8vw;
            right: -8vw;
            letter-spacing: 15px;
            font-size: 5.8vw;
            margin: 0;
            @extend %shadow-title;
        }
    }
    .title-box {
        grid-area: title;
        margin:2vw 0 1vw 0;
        padding-bottom: 1vw;
        position: relative;
        .line1 {
            position: absolute;
            bottom: 0;
            left: -4vw;
        }
    }
    .form-box {
        grid-area: form;
        form {
            display: grid;
            grid-template-columns: 1fr;
            grid-row-gap: 1.1vw;
            input,
            textarea {
                background-color: transparent;
                padding: 0.9vw;
                resize: none;
                font-size: 1vw;
                border: 1px solid #acacac;
            }
            button {
                @extend %button-solid-blue;
            }
            button:hover {
                @extend %button-outline;
            }
        }
    }
    .detail-box {
        grid-area: detail;
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 37px;
        p {
            margin: 0;
        }
    }
}